Skip to main content
GET
/
automation
/
v4
/
sequences
Retrieve a list of sequences for a user
curl --request GET \
  --url https://api.hubapi.com/automation/v4/sequences/ \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "name": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z",
      "userId": "<string>",
      "folderId": "<string>"
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

userId
string
required
after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

limit
integer<int32>

The maximum number of results to display per page.

name
string

Response

successful operation

results
object[]
required
total
integer<int32>
required

The total number of sequences available.

paging
object
Last modified on February 12, 2026